Subject: Re: linux-next: Tree for Mar 25 (arch/x86/kvm/)

From: Paolo Bonzini <[email-masked]>
Date: Wed, 25 Mar 2020 17:26:20 +0100

On 25/03/20 17:14, Sean Christopherson wrote:
>> Doh, right.  I think the only solution for that one is to degrade it to
>> WARN_ON(1).
> I reproduced the error, give me a bit to play with the code to see if the
> BUILD_BUG can be preserved.  I'm curious as to why kvm_cpu_cap_mask() is
> special, and why it only fails with this config.
> 

I could not reproduce it, but I would not be surprised if there are
other configurations where the compiler cannot constant-propagate from
the reverse_cpuid struct into __cpuid_entry_get_reg.

Paolo